undefined method `mounted_helpers' for devise plugin

hi,
initially i used i devise as gem but now i want to use devise plugin
in my vender/plugin for my application
so i gave rails plugin install https://github.com/plataformatec/devise.git
after giving install plugin it has been downloaded fine,but now while
i was trying to run

rails s
=> Booting WEBrick
=> Rails 3.0.10 application starting in development on http://0.0.0.0:3000
=> Call with -d to detach
=> Ctrl-C to shutdown server
Exiting
/home/prabhu/clone/aiq26/devise_username/aisleiq/vendor/plugins/devise/
lib/devise/failure_app.rb:14:in `<class:FailureApp>': undefined method
`mounted_helpers' for #<ActionDispatch::Routing::RouteSet:0x9d86a2c>
(NoMethodError)
  from /home/prabhu/clone/aiq26/devise_username/aisleiq/vendor/plugins/
devise/lib/devise/failure_app.rb:8:in `<module:Devise>'
  from /home/prabhu/clone/aiq26/devise_username/aisleiq/vendor/plugins/
devise/lib/devise/failure_app.rb:3:in `<top (required)>'
  from /usr/local/lib/ruby/gems/1.9.1/gems/devise-1.4.5/lib/devise.rb:
410:in `configure_warden!'
  from /usr/local/lib/ruby/gems/1.9.1/gems/devise-1.4.5/lib/devise/
rails/routes.rb:9:in `finalize_with_devise!'
  from /usr/local/lib/ruby/gems/1.9.1/gems/railties-3.0.10/lib/rails/
application.rb:128:in `block in reload_routes!'
  from /usr/local/lib/ruby/gems/1.9.1/gems/activesupport-3.0.10/lib/
active_support/lazy_load_hooks.rb:36:in `instance_eval'
  from /usr/local/lib/ruby/gems/1.9.1/gems/activesupport-3.0.10/lib/
active_support/lazy_load_hooks.rb:36:in `execute_hook'
  from /usr/local/lib/ruby/gems/1.9.1/gems/activesupport-3.0.10/lib/
active_support/lazy_load_hooks.rb:26:in `on_load'
  from /usr/local/lib/ruby/gems/1.9.1/gems/railties-3.0.10/lib/rails/
application.rb:128:in `reload_routes!'
  from /usr/local/lib/ruby/gems/1.9.1/gems/railties-3.0.10/lib/rails/
application.rb:120:in `block in routes_reloader'
  from /usr/local/lib/ruby/gems/1.9.1/gems/activesupport-3.0.10/lib/
active_support/file_update_checker.rb:32:in `call'
  from /usr/local/lib/ruby/gems/1.9.1/gems/activesupport-3.0.10/lib/
active_support/file_update_checker.rb:32:in `execute_if_updated'
  from /usr/local/lib/ruby/gems/1.9.1/gems/railties-3.0.10/lib/rails/
application/finisher.rb:51:in `block (2 levels) in <module:Finisher>'
  from /usr/local/lib/ruby/gems/1.9.1/gems/railties-3.0.10/lib/rails/
application/finisher.rb:52:in `call'
  from /usr/local/lib/ruby/gems/1.9.1/gems/railties-3.0.10/lib/rails/
application/finisher.rb:52:in `block in <module:Finisher>'
  from /usr/local/lib/ruby/gems/1.9.1/gems/railties-3.0.10/lib/rails/
initializable.rb:25:in `instance_exec'
  from /usr/local/lib/ruby/gems/1.9.1/gems/railties-3.0.10/lib/rails/
initializable.rb:25:in `run'
  from /usr/local/lib/ruby/gems/1.9.1/gems/railties-3.0.10/lib/rails/
initializable.rb:50:in `block in run_initializers'
  from /usr/local/lib/ruby/gems/1.9.1/gems/railties-3.0.10/lib/rails/
initializable.rb:49:in `each'
  from /usr/local/lib/ruby/gems/1.9.1/gems/railties-3.0.10/lib/rails/
initializable.rb:49:in `run_initializers'
  from /usr/local/lib/ruby/gems/1.9.1/gems/railties-3.0.10/lib/rails/
application.rb:134:in `initialize!'
  from /usr/local/lib/ruby/gems/1.9.1/gems/railties-3.0.10/lib/rails/
application.rb:77:in `method_missing'
  from /home/prabhu/clone/aiq26/devise_username/aisleiq/config/
environment.rb:6:in `<top (required)>'
  from /usr/local/lib/ruby/gems/1.9.1/gems/activesupport-3.0.10/lib/
active_support/dependencies.rb:239:in `require'
  from /usr/local/lib/ruby/gems/1.9.1/gems/activesupport-3.0.10/lib/
active_support/dependencies.rb:239:in `block in require'
  from /usr/local/lib/ruby/gems/1.9.1/gems/activesupport-3.0.10/lib/
active_support/dependencies.rb:225:in `block in load_dependency'
  from /usr/local/lib/ruby/gems/1.9.1/gems/activesupport-3.0.10/lib/
active_support/dependencies.rb:593:in `new_constants_in'
  from /usr/local/lib/ruby/gems/1.9.1/gems/activesupport-3.0.10/lib/
active_support/dependencies.rb:225:in `load_dependency'
  from /usr/local/lib/ruby/gems/1.9.1/gems/activesupport-3.0.10/lib/
active_support/dependencies.rb:239:in `require'
  from /home/prabhu/clone/aiq26/devise_username/aisleiq/config.ru:3:in
`block in <main>'
  from /usr/local/lib/ruby/gems/1.9.1/gems/rack-1.2.5/lib/rack/
builder.rb:46:in `instance_eval'
  from /usr/local/lib/ruby/gems/1.9.1/gems/rack-1.2.5/lib/rack/
builder.rb:46:in `initialize'
  from /home/prabhu/clone/aiq26/devise_username/aisleiq/config.ru:1:in
`new'
  from /home/prabhu/clone/aiq26/devise_username/aisleiq/config.ru:1:in
`<main>'
  from /usr/local/lib/ruby/gems/1.9.1/gems/rack-1.2.5/lib/rack/
builder.rb:35:in `eval'
  from /usr/local/lib/ruby/gems/1.9.1/gems/rack-1.2.5/lib/rack/
builder.rb:35:in `parse_file'
  from /usr/local/lib/ruby/gems/1.9.1/gems/rack-1.2.5/lib/rack/
server.rb:162:in `app'
  from /usr/local/lib/ruby/gems/1.9.1/gems/rack-1.2.5/lib/rack/
server.rb:253:in `wrapped_app'
  from /usr/local/lib/ruby/gems/1.9.1/gems/rack-1.2.5/lib/rack/
server.rb:204:in `start'
  from /usr/local/lib/ruby/gems/1.9.1/gems/railties-3.0.10/lib/rails/
commands/server.rb:65:in `start'
  from /usr/local/lib/ruby/gems/1.9.1/gems/railties-3.0.10/lib/rails/
commands.rb:30:in `block in <top (required)>'
  from /usr/local/lib/ruby/gems/1.9.1/gems/railties-3.0.10/lib/rails/
commands.rb:27:in `tap'
  from /usr/local/lib/ruby/gems/1.9.1/gems/railties-3.0.10/lib/rails/
commands.rb:27:in `<top (required)>'
  from script/rails:6:in `require'
  from script/rails:6:in `<main>'

above error appears,could any one provide me solution regarding this
mounted_helpers

thanks,
-pab